# Uses of Class
org.eclipse.jface.resource.ImageRegistry

Packages that use ImageRegistry
Package
Description
org.eclipse.jface.fieldassist
Provides classes that help communicate proper content for fields in dialogs and wizards.
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.ui.internal
org.eclipse.ui.plugin
Class hierarchies for plug-ins that integrate with the Eclipse Platform UI.

## Uses of ImageRegistry in org.eclipse.jface.fieldassist

Methods in org.eclipse.jface.fieldassist with parameters of type ImageRegistry
Modifier and Type
Method
Description
`void`
FieldDecorationRegistry.`registerFieldDecoration(String id, String description, String imageId, ImageRegistry imageRegistry)`
Registers a field decoration using the specified id.

## Uses of ImageRegistry in org.eclipse.jface.resource

Methods in org.eclipse.jface.resource that return ImageRegistry
Modifier and Type
Method
Description
`static ImageRegistry`
JFaceResources.`getImageRegistry()`
Returns the image registry for JFace itself.

## Uses of ImageRegistry in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return ImageRegistry
Modifier and Type
Method
Description
`protected ImageRegistry`
UIPlugin.`createImageRegistry()`
Returns the image registry for this plugin.
`protected ImageRegistry`
WorkbenchPlugin.`createImageRegistry()`
Returns the image registry for this plugin.
`ImageRegistry`
UIPlugin.`getImageRegistry()`
`static ImageRegistry`
WorkbenchImages.`getImageRegistry()`
Returns the ImageRegistry.

## Uses of ImageRegistry in org.eclipse.ui.plugin

Methods in org.eclipse.ui.plugin that return ImageRegistry
Modifier and Type
Method
Description
`protected ImageRegistry`
AbstractUIPlugin.`createImageRegistry()`
Returns a new image registry for this plugin-in.
`ImageRegistry`
AbstractUIPlugin.`getImageRegistry()`
Returns the image registry for this UI plug-in.
Methods in org.eclipse.ui.plugin with parameters of type ImageRegistry
Modifier and Type
Method
Description
`protected void`
AbstractUIPlugin.`initializeImageRegistry(ImageRegistry reg)`
Initializes an image registry with images which are frequently used by the plugin.